curl --request GET \
--url https://softmax.com/api/observatory/v2/reporters \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/reporters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/reporters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"author": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"is_softmax_team_member": true,
"discord_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"latest_version": 123,
"outputs": [
{
"name": "<string>",
"type": "render-html",
"description": "<string>",
"schema": "<string>",
"optional": false
}
],
"run_count": 0,
"output_count": 0
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List reporters
Lists reporters ordered by name. Optional filters can be combined, and a continuation cursor is returned in the X-Next-Cursor header when another page exists.
Authorizations
Bearer token issued by Softmax
Query Parameters
Substring match on name, title, description, or version purpose.
Keep reporters producing at least one part of this type.
Reporter hosting mode to return.
^(all|hosted|external)$Owner user id (exact).
Maximum reporters returned.
1 <= x <= 500Continuation cursor returned in the previous response header.
Response
Successful Response
Reporter ID.
Owner-scoped reporter name.
Human-readable reporter name.
Explanation of what the reporter does.
User who owns the reporter.
Time the reporter was created.
Public profile of the reporter owner.
Show child attributes
Show child attributes
Latest visible hosted version number. Null identifies an external reporter.
Output parts declared by the reporter.
Show child attributes
Show child attributes
Number of visible hosted runs.
Number of visible output parts.